System 2.0.0.0 4.0.0.0 System.Enum System.Flags

For more information about the TYMED structure, see the MSDN Library.

The common language runtime throws an exception when a COM method in native code returns an HRESULT. For more information, see How to: Map HRESULTs and Exceptions.

Provides the managed definition of the TYMED structure.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.TYMED

  The storage medium is an enhanced metafile. If the member is null, the destination process should use DeleteEnhMetaFile to delete the bitmap.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.TYMED

  The storage medium is a disk file identified by a path. If the STGMEDIUM member is null, the destination process should use OpenFile to delete the file.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.TYMED

  The storage medium is a Graphics Device Interface (GDI) component (HBITMAP). If the member is null, the destination process should use DeleteObject to delete the bitmap.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.TYMED

  The storage medium is a global memory handle (HGLOBAL). Allocate the global handle with the GMEM_SHARE flag. If the member is null, the destination process should use GlobalFree to release the memory.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.TYMED

  The storage medium is a storage component identified by an IStorage pointer. The data is in the streams and storages contained by this IStorage instance. If the member is not null, the destination process should use IStorage::Release to release the storage component.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.TYMED

  The storage medium is a stream object identified by an IStream pointer. Use ISequentialStream::Read to read the data. If the member is not null, the destination process should use IStream::Release to release the stream component.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.TYMED

  The storage medium is a metafile (HMETAFILE). Use the Windows or WIN32 functions to access the metafile's data. If the member is null, the destination process should use DeleteMetaFile to delete the bitmap.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.TYMED

  No data is being passed.